/** Check if a transaction has been completed */
export declare function isTransactionMined(transactionHash: string, provider: any): Promise<boolean | undefined>;
/** Wait for a transaction to be confirmed */
export declare function waitForConfirmation(tHash: string, provider: any): Promise<void>;
/** Get the transaction ID when a function is executed */
export declare function dispatchAndWait(func: any): Promise<string>;
/** Send a transaction and wait for it to be confirmed */
export declare function sendAndWaitForConfirmation(func: Promise<void>, provider: any): Promise<void>;
